# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-29 18:53
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Experiment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cultivation_method', models.CharField(choices=[('soil', 'Soil'), ('underwater', 'Underwater'), ('artificial', 'Artificial'), ('hydroponics', 'Hydroponics'), ('aeroponics', 'Aeroponics'), ('mixed', 'Mixed'), ('other', 'Other')], default=None, max_length=30, verbose_name='Cultivation method')),
                ('planted_date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date Planted')),
                ('image', models.ImageField(blank=True, default=None, null=True, upload_to='', verbose_name='Image')),
            ],
            options={
                'verbose_name': 'Experiment',
                'verbose_name_plural': 'Experiments',
                'ordering': ['-planted_date'],
            },
        ),
        migrations.CreateModel(
            name='Observation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Observation date')),
                ('notes', models.TextField(blank=True, default=None, null=True, verbose_name='Notes')),
                ('image', models.ImageField(blank=True, default=None, null=True, upload_to='', verbose_name='Image')),
                ('experiment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='biolab.Experiment', verbose_name='Experiment')),
            ],
            options={
                'verbose_name': 'Observation',
                'verbose_name_plural': 'Observations',
                'ordering': ['-datetime'],
            },
        ),
        migrations.CreateModel(
            name='Plant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('latin_name', models.CharField(default=None, max_length=255, verbose_name='Latin Name')),
                ('species', models.CharField(default=None, max_length=255, verbose_name='Species')),
                ('image', models.ImageField(blank=True, default=None, null=True, upload_to='', verbose_name='Image')),
                ('wikipedia_url', models.URLField(blank=True, default=None, null=True, verbose_name='Wikipedia URL')),
            ],
            options={
                'verbose_name': 'Plant',
                'verbose_name_plural': 'Plants',
                'ordering': ['-latin_name'],
            },
        ),
        migrations.AddField(
            model_name='experiment',
            name='plant',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='biolab.Plant', verbose_name='Plant'),
        ),
    ]
