# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-29 18:53
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DiaryEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('draft', 'Draft'), ('published', 'Published'), ('scheduled', 'Scheduled')], default='draft', max_length=30, verbose_name='Status')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Created date')),
                ('modified_date', models.DateTimeField(auto_now=True, verbose_name='Modified date')),
                ('publish_date', models.DateTimeField(db_index=True, default=django.utils.timezone.now, verbose_name='Publish Date')),
                ('title', models.CharField(db_index=True, max_length=255, verbose_name='Title')),
                ('slug', models.SlugField(editable=False, verbose_name='Slug')),
                ('content', models.TextField(verbose_name='Content')),
                ('tags', models.CharField(blank=True, help_text='Comma separated tags', max_length=255, null=True, verbose_name='Tags')),
                ('author', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Author')),
            ],
            options={
                'verbose_name': 'Diary Entry',
                'verbose_name_plural': 'Diary Entries',
                'ordering': ['-modified_date'],
            },
        ),
        migrations.CreateModel(
            name='Figure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to='', verbose_name='Image')),
                ('caption', models.CharField(max_length=255, verbose_name='Caption')),
                ('diary_entry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='communication.DiaryEntry', verbose_name='Entry')),
            ],
            options={
                'verbose_name': 'Figure',
                'verbose_name_plural': 'Figures',
                'ordering': ['-diary_entry'],
            },
        ),
        migrations.CreateModel(
            name='PersonalNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Created date')),
                ('modified_date', models.DateTimeField(auto_now=True, verbose_name='Modified date')),
                ('publish_date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Publish Date')),
                ('content', models.TextField(verbose_name='Content')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Author')),
            ],
            options={
                'verbose_name': 'Personal Note',
                'verbose_name_plural': 'Personal Notes',
                'ordering': ['-modified_date'],
            },
        ),
    ]
