# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-29 18:53
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('food', '0001_initial'),
        ('building', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Edible',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Add Datetime')),
                ('modified', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Modified Datetime')),
                ('code', models.CharField(default=None, max_length=7, verbose_name='Code')),
                ('quantity', models.PositiveSmallIntegerField(default=1, verbose_name='Quantity')),
                ('best_before', models.DateField(default=None, verbose_name='Best before')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='food.Product', verbose_name='Product')),
            ],
            options={
                'verbose_name': 'Edible',
                'verbose_name_plural': 'Edibles Database',
                'ordering': ['code'],
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Add Datetime')),
                ('modified', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Modified Datetime')),
                ('identifier', models.CharField(default=None, max_length=7, unique=True, verbose_name='Identifier')),
                ('quantity', models.PositiveSmallIntegerField(blank=True, default=1, null=True, verbose_name='Quantity')),
                ('name', models.CharField(default=None, max_length=255, verbose_name='Name')),
                ('manufacturer', models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='Manufacturer')),
                ('type', models.CharField(choices=[('solid', 'Solid'), ('liquid', 'Liquid')], default='solid', max_length=30, verbose_name='Type')),
                ('volume', models.PositiveIntegerField(blank=True, default=None, help_text='liters', null=True, verbose_name='Volume')),
                ('height', models.PositiveIntegerField(blank=True, default=None, help_text='meters', null=True, verbose_name='Height')),
                ('width', models.PositiveIntegerField(blank=True, default=None, help_text='meters', null=True, verbose_name='Width')),
                ('length', models.PositiveIntegerField(blank=True, default=None, help_text='meters', null=True, verbose_name='Length')),
                ('remarks', models.TextField(blank=True, default=None, null=True, verbose_name='Remarks')),
                ('location', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='building.Storage', verbose_name='Location')),
            ],
            options={
                'verbose_name': 'Item',
                'verbose_name_plural': 'Item Database',
                'ordering': ['identifier'],
            },
        ),
    ]
