# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-10-08 21:38
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import habitat.timezone.models.martian_standard_time


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('reporting', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SociodynamicReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Add Datetime')),
                ('modified', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Modified Datetime')),
                ('date', models.CharField(default=habitat.timezone.models.martian_standard_time.MartianStandardTime.date, help_text='example: 51099.420109', max_length=15, verbose_name='Mars Sol Date')),
                ('time', models.TimeField(default=habitat.timezone.models.martian_standard_time.MartianStandardTime.time, help_text='example: 51099.420109', verbose_name='Coordinated Mars Time')),
                ('reporter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Astronaut')),
            ],
            options={
                'verbose_name': 'Sociodynamic Report',
                'verbose_name_plural': 'Sociodynamics',
            },
        ),
        migrations.CreateModel(
            name='SociodynamicReportEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Add Datetime')),
                ('modified', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Modified Datetime')),
                ('impression', models.TextField(blank=True, default=None, null=True, verbose_name='Astronaut X is...')),
                ('like', models.TextField(blank=True, default=None, null=True, verbose_name='I like about him/her...')),
                ('dislike', models.TextField(blank=True, default=None, null=True, verbose_name='I do not like about him/her...')),
                ('astronaut', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Astronaut')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reporting.SociodynamicReport', verbose_name='Report')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
